variable "broker_name" {
  type        = string
  description = "Name of the AmazonMQ Broker"
}

variable "instance_type" {
  type        = string
  description = "AmazonMQ Broker Instance Type"
  default     = "mq.t2.small"
}

variable "engine_version" {
  type        = string
  description = "AmazonMQ Broker Engine Version"
  default     = "5.16.2"
}

variable "broker_username" {
  type        = string
  description = "AmazonMQ Broker Username"
  default = "cbadmin"
}

variable "broker_password" {
  type        = string
  description = "AmazonMQ Broker Username"
}

variable "subnet_ids" {
  default = []
  type    = list(string)
  description = "AmazonMQ Broker subnet ids"
}

variable "security_group_ids" {
  default = []
  type    = list(string)
  description = "AmazonMQ Broker security groups"
}

variable "tags" {
  type        = map(string)
  description = "Tags for SQS Queue"
}
